Keysight FlexRay Compliance Test Application Online Help

Software Version 01.11.0000

© Keysight Technologies 2006-2012, 2014-2015

Warranty

Technology License

Restricted Rights Legend

Safety Notices

Trademarks

August, 2015

Table of Contents

FlexRay Compliance Test Application—At a Glance
Prerequisites
Required Equipment and Software
Controller PC Requirements
Installing Keysight IO Libraries Suite
Adding Your Oscilloscope Using Keysight Connection Expert
Installing the FlexRay Compliance Test Application software
Installing the Software
Licensing the FlexRay Compliance Test Application
Using the FlexRay Compliance Test Application
Starting the FlexRay Compliance Test Application
To view/minimize the task flow pane
To view/hide the toolbar
Creating or Opening a Test Project
To set load preferences
Setting Up the Test Environment
Selecting Tests
Configuring Tests
Connecting the Oscilloscope to the DUT
Running Tests
To select the "store mode"
To run multiple times
To send email on pauses or stops
To pause or stop on events
To specify the event
To set the display preferences
To set the run preferences
Automating the Application
Viewing Results
To show reference images
To change margin thresholds
To set the Trial Display preferences
Viewing/Exporting/Printing the Report
To export the report
To print the report
To set HTML Report Preferences
Saving Test Projects
To set AutoRecovery preferences
Controlling the Application via a Remote PC
To identify the remote interface version
To enable the remote interface
To enable remote interface hints

Using a Second Monitor

Differential Input Signal Requirements and Troubleshooting Tips

Keysight FlexRay Compliance Test Application

Online Help


FlexRay Compliance Test Application—At a Glance

Keysight FlexRay Compliance Test Application Online Help

FlexRay Compliance Test Application—At a Glance

Keysight FlexRay Compliance Test Application software for Keysight InfiniiVision 3000 X-Series, 4000 X-Series, 6000 Series, and 7000 Series Oscilloscopes gives you a fast and easy way to verify and debug the physical layer characteristics of your FlexRay designs. This FlexRay test software lets you automatically execute FlexRay conformance tests, and displays the results in a flexible report format. In addition to the measurement data, the report provides margin analysis that shows how closely your device passed or failed each test.

The FlexRay Compliance Test Application guides you through the process of selecting and configuring tests, making Oscilloscope connections, running tests, and evaluating the test results. This application:

  • Lets you select individual or multiple tests to run.

  • Shows you how to make Oscilloscope connections to the device under test based on selected connection type.

  • Automatically checks for proper Oscilloscope configuration.

  • Automatically sets up the Oscilloscope for each test.

  • Provides detailed information for each test that has been run and lets you specify the thresholds at which marginal or critical warnings appear.

  • Creates a printable HTML report of the tests that have been run.

For more information, see:

  • Prerequisites

    • Required Equipment and Software

    • Installing Keysight IO Libraries Suite

    • Installing the FlexRay Compliance Test Application software

    • Licensing the FlexRay Compliance Test Application

  • Using the FlexRay Compliance Test Application

    • Starting the FlexRay Compliance Test Application

    • Creating or Opening a Test Project

    • Setting Up the Test Environment

    • Selecting Tests

    • Configuring Tests

    • Connecting the Oscilloscope to the DUT

    • Running Tests

    • Automating the Application

    • Viewing Results

    • Viewing/Exporting/Printing the Report

    • Saving Test Projects

    • Controlling the Application via a Remote PC

    • Using a Second Monitor

    • Differential Input Signal Requirements and Troubleshooting Tips

To know about the FlexRay Tests, see: Keysight FlexRay Compliance Test Application Methods of Implementation

See Also

  • The electrical and timing parameters are specified by FlexRay Communications System Electrical Physical Layer Specification, Version 2.1, Revision E.


Prerequisites

Keysight FlexRay Compliance Test Application Online Help

Prerequisites

You must ensure that the following prerequisites are met to run tests using the Keysight FlexRay Compliance Test Application.

  • Required Equipment and Software
  • Installing Keysight IO Libraries Suite
  • Installing the Software
  • Licensing the FlexRay Compliance Test Application

Before running the automated tests, you must acquire the required equipment and software calibrate the Oscilloscope. After the Oscilloscope has been calibrated, you are ready to start the FlexRay Compliance Test Application and perform measurements.


Required Equipment and Software

Prerequisites

Required Equipment and Software

In order to run the automated tests, you require the following equipment and software:

  • One of the following InfiniiVision 4-Channel Oscilloscopes:

    • 4000 X-Series Oscilloscope with:

      • FLEX license (order DSOX4FLEX).

      • MASK license (order DSOX4MASK).

    • 3000 X-Series Oscilloscope with:

      • FLEX license (order DSOX3FLEX).

      • MASK license (order DSOX3MASK).

      • SGM license (order DSOX3SGM).

    • 6000 Series or 7000 Series Oscilloscope with:

      • Software version 6.00 or greater.

      • Option FLX (N5432C) license, or Option FRS (N5432A) with N5432U upgrade license.

  • Differential active probe. Keysight recommended probes include:

    • N2792A 200 MHz differential active probe.

    • N2793A 800 MHz differential active probe.

    • 113xA InfiniiMax differential active probe.

  • Keysight FlexRay Compliance Test Application software.

  • Keysight I/O libraries version 15.0 or greater.

  • FlexRay Device Under Test.


Controller PC Requirements

Required Equipment and Software

Controller PC Requirements

To ensure adequate performance, the FlexRay Compliance Test Application requires a controller PC with these characteristics:

  • Processor: Intel Pentium 4 Processor 3 GHz or better.

  • RAM: 2 GB or higher.

  • Operating System: Windows XP 32-bit or higher.


Installing Keysight IO Libraries Suite

Prerequisites

Installing Keysight IO Libraries Suite

The controller PC must have the Keysight I/O libraries version 15.0 or higher.

You can download the Keysight IO Libraries Suite software from the Keysight web site at: www.keysight.com/find/iolib. See Adding Your Oscilloscope Using Keysight Connection Expert to understand the procedure of connecting a standalone PC to the Keysight InfiniiVision Oscilloscope to perform FlexRay Compliance measurements.


Adding Your Oscilloscope Using Keysight Connection Expert

Installing Keysight IO Libraries Suite

Adding Your Oscilloscope Using Keysight Connection Expert

This procedure only needs to be performed once for each Oscilloscope used to perform FlexRay conformance measurements.

Note

The menus and dialogs shown here may differ slightly depending on the version of the Keysight IO Libraries Suite.

  1. On the PC that will run the FlexRay Test Application, choose Start > All Programs > Keysight Connection Expert from the Windows Start menu.

  • Alternatively, click on the Keysight IO Control icon in the taskbar.

  • Choose Keysight Connection Expert from the popup menu.

  2. In the Keysight Connection Expert application, instruments connected to the controller's USB and GPIB interfaces should automatically appear. (You can click Refresh All to update the list of instruments on these interfaces.)

· To manually add instruments on LAN interfaces:

  1. Right-click on the LAN interface, choose Add Instrument from the popup menu, and click OK in the resulting dialog (because the desired interface is already selected).

  2. If the Oscilloscope is on the same subnet, select it and click OK.

  3. If the Oscilloscope is on the same subnet, click Add Address (or if you have a version of the IO Libraries that doesn't have Auto Find, select the LAN interface and click OK).

  4. In the next dialog, select either Hostname or IP address, and enter the oscilloscope's hostname or IP address.

  5. Click Test Connection.

  6. If the instrument is successfully opened, click OK to close the dialog. If the instrument is not opened successfully, go back and verify the LAN connections and the oscilloscope setup.

  7. In the Keysight Connection Expert application, choose File > Exit from the menu to exit the application.

· Refer to the Keysight IO Libraries Suite Online Help for more information on how to add an Oscilloscope to a Keysight Connection Expert.


Installing the FlexRay Compliance Test Application software

Prerequisites

Installing the FlexRay Compliance Test Application software

You must install the FlexRay Compliance Test Application on a controller PC that is connected to the InfiniiVision 3000 X-Series, 4000 X-Series, 6000 Series, or 7000 Series oscilloscope via LAN or USB.

  • Installing the Software

  • Licensing the FlexRay Compliance Test Application


Installing the Software

Installing the FlexRay Compliance Test Application software

Installing the Software

Install the FlexRay Compliance Test Application software from one of the following download web pages:

  • http://www.keysight.com/find/flexray3000 (for 3000 X-Series oscilloscopes)

  • http://www.keysight.com/find/flexray4000 (for 4000 X-Series oscilloscopes)

  • http://www.keysight.com/find/flexray (for 6000 Series and 7000 Series oscilloscopes)

To install the software:

  1. If you have an InfiniiVision 6000 Series or 7000 Series oscilloscope, make sure you have version 6.00 or higher of the oscilloscope firmware by choosing [Utility] > Service > About Oscilloscope from the front panel.

  2. Download the FlexRay Compliance Test Application install package from the Keysight web site to your controller PC.

  3. Run the install package executable file and follow its instructions.

    Be sure to accept the installation of the .NET Framework software; it is required in order to run the FlexRay Compliance Test Application.


Licensing the FlexRay Compliance Test Application

Installing the FlexRay Compliance Test Application software

Licensing the FlexRay Test Application

The FlexRay Compliance Test Application software comes standard with:

  • DSOX3FLEX on 3000 X-Series oscilloscopes.

  • DSOX4FLEX on 4000 X-Series oscilloscopes.

  • Option FLX (N5432C) on 6000 Series and 7000 Series oscilloscopes, which automatically licenses Option FRC. Option FRC in the oscilloscope is the only requirement.

    Previous Option FRS (N5432A) customers can order the N5432U upgrade to get Option FRC.

    Option FRC is an oscilloscope-locked license — this enables any FlexRay Physical Layer Conformance Test Application to connect to and use a licensed oscilloscope. This type of license permits multiple users to share an oscilloscope using a single license.

To install option licenses

On 3000 X-Series and 4000 X-Series oscilloscopes:

  1. Follow the instructions on the Entitlement Certificate you received with your FlexRay option purchase.

  2. Your license file will be delivered via e-mail.

    License files are loaded from a USB storage device using the oscilloscope's File Explorer.

On 6000 Series and 7000 Series oscilloscopes:

  1. Follow the instructions on the Entitlement Certificate you received with your FlexRay option purchase.

    You will need the unique identifier for the oscilloscope. You can find the Instrument ID by choosing [Utility] > Options > Licenses > Show license information from the front panel.

  2. Your license will be delivered via e-mail.

    The e-mail will contain an alphanumeric code. Enter this code directly into your instrument using the oscilloscope's interface (see the oscilloscope documentation for instructions on how to install feature licenses).


Using the FlexRay Compliance Test Application

Keysight FlexRay Compliance Test Application Online Help

Using the FlexRay Compliance Test Application

This section describes the features available in the FlexRay Compliance Test Application that help you in running tests on the FlexRay Device Under Test (DUT):

Starting the FlexRay Compliance Test Application

To view/minimize the task flow pane

To view/hide the toolbar

Creating or Opening a Test Project

To set load preferences

Setting Up the Test Environment

Selecting Tests

Configuring Tests

Connecting the Oscilloscope to the DUT

Running Tests

To select the Store Mode

To run multiple times

To send email on pauses or stops

To pause or stop on events

To specify the event

To set the display preferences

To set the run preferences

Automating the Application

Viewing Results

To show reference images and flash mask hits

To change margin thresholds

To set the Trial Display preferences

Viewing/Exporting/Printing the Report

To export the report

To print the report

Saving Test Projects

To set AutoRecovery preferences

Controlling the Application via a Remote PC

To identify the remote interface version

To enable the remote interface

To enable remote interface hints

Using a Second Monitor

Differential Input Signal Requirements and Troubleshooting Tips


Starting the FlexRay Compliance Test Application

Using the FlexRay Compliance Test Application

Starting the FlexRay Compliance Test Application

  1. From the Start menu, click All Programs>Keysight Scope Applications>FlexRay Test App. Click FlexRay Test App to launch the application. If you do not find the application in the Start menu, you must install the FlexRay Test Application. Refer to Installing the FlexRay Compliance Test Application for more information.

Alternatively, from the Start menu, click Computer. Navigate to C:\Program Files (x86)\Keysight\Infiniium\Apps\FlexrayTest.

Double-click the application file named Keysight.DigitalTestApps.Framework.AutomatedTestEngine.

  • The Connect to InfiniiVision dialog displays. Type the full SICL address in the Enter full SICL address or VISA alias: field.

  • Click the Identify button. The FlexRay Test Information: Instrument Status prompt displays indicating that the Oscilloscope is connected. Click OK on the prompt.

  • Click OK on the Connect to InfiniiVision dialog. The FlexRay Compliance Test Application window appears.

· The following table gives you a summary of the functionality of each tab in the FlexRay Compliance Test Application:

Test Application Tabs | Functionality
Setup | Lets you identify the test environment.
Select Tests | Lets you select the tests you want to run. The tests are organized hierarchically so you can select all tests in a group. After tests are run, status indicators show which tests have passed, failed, or not been run, and there are indicators for the test groups.
Configure | Lets you configure the test parameters (for example, stimulus frequency).
Connect | Shows you how to connect the oscilloscope to the device under test for the tests that are to be run.
Run Tests | Starts the automated tests. If the connections to the device under test need to be changed while multiple tests are running, the tests pause, show you how to change the connection, and wait for you to confirm that the connections have been changed before continuing.
Automation | Lets you automate various attributes of the test environment.
Results | Contains more detailed information about the tests that have been run. You can change the thresholds at which marginal or critical warnings appear.
Html Report | Shows a compliance test report that can be printed.

See Also

· To view/minimize the task flow pane

· To view/hide the toolbar

Next

· Creating or Opening a Test Project


To view/minimize the task flow pane

Starting the FlexRay Physical Layer Conformance Test Application

To view/minimize the task flow pane

  1. To toggle between a minimized and restored task flow pane, choose View>Task Flow from the FlexRay Compliance Test Application's main menu.

  2. To minimize the task flow pane, click the minimize button in the pane.

  3. To restore a minimized task flow pane, click the [image] button in the pane.


To view/hide the toolbar

Starting the FlexRay Physical Layer Conformance Test Application

To view/hide the toolbar

· To toggle between a hidden and visible toolbar, click View>Toolbar from the FlexRay Compliance Test Application's main menu.


Creating or Opening a Test Project

Using the FlexRay Compliance Test Application

Creating or Opening a Test Project

· To create a new test project:

  1. Choose File>New Project... from the FlexRay Compliance Test Application's main menu.

  • A new, empty project, with all the default settings is created. If you create a new project again, the Start New Project window appears where you may choose to retain some of the pre-configured settings of the tool.

· To open an existing test project:

  1. Choose File>Open Project... from the FlexRay Compliance Test Application's main menu.

  • Prior to creating a new project or displaying the Open dialog, if you have a project that has unsaved changes, the application prompts the FlexRay Test: Save Changes? dialog.

  2. Click Yes if you want to save changes done to the existing project (see Saving Test Projects to know how to save projects). Click No if you wish to discard changes and continue. Click Cancel if you want to return to the existing project.

  3. In the Open dialog, browse to a test project directory and select the desired project (*.proj) file.

  4. Click Open.

See Also

· To set load preferences

Next

· Setting Up the Test Environment


To set load preferences

Creating or Opening a Test Project

To set load preferences

  1. From the FlexRay Compliance Test Application's main menu, choose View>Preferences....

  • Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, select the Save/Load tab.

  3. In the Save/Load tab, you can choose to restore saved test selections when loading a project.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


Setting Up the Test Environment

Using the FlexRay Compliance Test Application

Setting Up the Test Environment

  1. Click the Set Up tab or click the Set Up box in the Task Flow pane.

The FlexRay Test Environment Setup has primarily two sections to define the Device Under Test (DUT) Configuration:

    • Configuration

    • Reports

Configuration

This section allows you to select various configuration parameters that define the type of tests that must be run on the DUT.

· In the Test Plane: area, select either Receiver Input or Transmitter Output. By default, Receiver Input is selected. Test Limits differ depending on the test plane location.

Receiver Input

The following image shows the default configuration parameters for Receiver Input. Select this option if the location of the DUT signals are at or near the receiver input.

Transmitter Output

The following image shows the default configuration parameters for Transmitter Input. Select this option if the location of the DUT signals are at or near the transmitter output.

The parameters available in the FlexRay Test Environment Setup are:

· In the Input/Output Device-under-test: area, select either Bus Driver (BD) or Active Star (AS) to define the bus network of the DUT. By default, Bus Driver (BD) is selected.

  • Bus Driver (BD) — The BD is a mandatory FlexRay component. It represents the physical interface between the Communication Controller (CC) and the wiring harness. Mainly it converts the data stream and supports the node with a power mode controlling.

  • Active Star (AS) — An AS is an active element, which passes bus signals from one input port to several output ports automatically. A passive net is plugged to each port usually. An AS refreshes the bus signal slopes and levels; an AS does not refresh the bit-timing. An AS may be implemented in a monolithic way or a non-monolithic way. Optionally, an AS may have a Communication Controller (CC) and host included.

· In the Transmitter Signal Source: area, select either Signal Generator Clock gated by T-ENABLE or FlexRay Communication Controller generated traffic. These options are only available when you select Transmitter Output in the Test Plane: area. By default, FlexRay Communication Controller generated traffic is selected.

  • Signal Generator Clock gated by T-ENABLE — Select this option when an output device's (bus driver or active star) inputs are driven with an external source, such as the Keysight 81150A arbitrary waveform generator.

  • FlexRay Communication Controller generated traffic — Select this option when the transmitter signal is generated by a FlexRay Communication Controller (in other words, when testing "live" FlexRay traffic).

· In the Transmitter Type: area, select either Standard Voltage or Increased Voltage. These options are only available when you select Transmitter Output in the Test Plane: area. By default, Standard Voltage is selected.

· In the Baud Rate (bps): area, select the appropriate bus speed (in Mbps) of the DUT. The options available are 10M, 5M and 2M. Note that if you are using an external signal source as the input to a transmitter device (bus driver or active star), the only option available is 10M.

· In the Expanded/Debug SI Voting Options: area, select On or Off. These options are only available when you select Receiver Input in the Test Plane: area. By default, Off is selected.

  • On — You can test SI Voting parameters individually by selecting from the expanded test parameter selections in the Select Tests tab. This is useful if you want to look at an individual test parameter in more detail, perhaps when using multiple runs.

  • Off — SI Voting parameters are all tested together.

· Type a Static Frame ID: to test. By default, the value in this text field is None.

  • It is typically only necessary to test one frame ID from each transmitting node. The physical layer characteristics of all frames generated from an individual transmitting node/ECU should all have similar electrical/parametric characteristics because the signals produced by that node were all generated by the same FlexRay Communication Controller, the same Bus Driver device and the same transmission line network.

  • If you are testing at the receiver test plane (for example, at Node A) and you wish to test the received signals from all other nodes in your synchronous FlexRay system, begin by testing one specific frame ID that is generated by Node B. After the first test run has completed, select the Set Up tab and type a different frame ID, which is generated by Node C and run a second test/trial. After the second test run/trial is complete, type a third frame ID generated by Node D, and so on. The final test report includes statistics for all frame IDs tested. However, note that you must not test any frame IDs generated by Node A because while testing at the receiver input of Node A, signals generated at this node would test the transmitted signals and not received signals.

  • If you are testing at a transmitter test plane and you wish to test all nodes in your synchronous FlexRay system, begin by testing a specific frame ID generated by Node A while probing at the output of Node A. After the first test run is complete, move your differential active probe to Node B, select a specific frame ID generated by Node B and run a second test/trial. Continue testing one frame ID from each node while probing at the output of that specific node.

Reports

This section allows you to type any comments associated with the DUT. These comments are displayed in the test report generated at the end of test runs.


Selecting Tests

Using the FlexRay Compliance Test Application

Selecting Tests

  1. Click the Select Tests tab, or click the Select Tests box in the Task Flow pane.

  2. Check the tests you want to run.

Note

The tests that appear under the Select Tests tab are determined by the choices selected under the Set Up tab. The test list gets rebuilt each time a selection is made.

· Some things to note:

  • Checking a parent node/group will check all available sub-groups or tests.

  • Unchecking a parent node/group will uncheck all sub-groups or tests.

  • A parent node is checked if all subgroups are checked.

  • A parent node is unchecked if ANY subgroup is unchecked.

Note

If a test has a non-range limit of 0, that is, value < 0, then the test application will provide a nominal value. This nominal value produces a non-infinite margin and is used to declare the 100% margin point. The assigned nominal value can be viewed at the description pane.

Using the Right-Click Pop-Up Menu

· When you right-click in the test pane, it produces a pop-up menu containing some shortcuts for selecting and deselecting tests.

When Tests Have Already Been Run

· If tests have already been run, you will see their status in the Select Tests tab.

· The status marks have the following indications:

Status Mark | Indication
 | The tests have passed.
 | The tests have failed.
 | The test has not been run or no tests in the group have been run.
 | The test is currently running.
 | Some tests in the group have been run and passed.
 | Some tests in the group have been run and failed.
 | Some tests in the group have passed and some have failed; not all of the tests have been run.
 | Some tests in the group have passed and some have failed; all of the tests have been run.
 | All the tests in the group have run and passed.
 | All tests in the group have run and failed.
 | The test is an information only test

Next

· Configuring Tests


Configuring Tests

Using the FlexRay Compliance Test Application

Configuring Tests

  1. Click the Configure tab, or click the Configure box in the Task Flow pane.

  3. Select the bulleted item for the settings you want to configure; then, select or enter your settings.

A description of the selected configuration item appears in the lower, right part of the application window.

Next

· Connecting the Oscilloscope to the DUT


Connecting the Oscilloscope to the DUT

Using the FlexRay Compliance Test Application

Connecting the Oscilloscope to the DUT

  1. Click the Connect tab or click Connect in the Task Flow pane.

  2. View the Connection Diagram and follow the instructions to connect the Oscilloscope to the Device Under Test (DUT).

Note

The Connection Diagram and the list of instructions vary based on the configuration settings under the Set Up, Select Tests and Configure tabs.

  3. After making connections between the Oscilloscope and DUT based on the given instructions, click the [image] check box.

  4. The field changes to [image] and the [image] button is enabled. Click Run Tests if you wish to run tests on the DUT immediately.

  5. Click the Suppress all connection prompts check box if you want to suppress the pop-up messages and prompts when the tests are running. If you select this check box first, the I have completed these instructions check box gets automatically checked and grayed out.

Next

· Running Tests


Running Tests

Using the FlexRay Compliance Test Application

Running Tests

Note

You must allow the oscilloscope to warm-up at least 30 minutes before running any measurement tests.

Tip

As a best practice, calibrate the oscilloscope at least once in a year or when the Calibration ΔTemp is greater than ±5 ºC. Refer to the Help>About Infiniium... menu on the Keysight Infiniium Oscilloscope to find the Calibration ΔTemp.

  1. To run the tests selected under the Select Tests tab, do one of the following options:

  • Under the Select Tests tab, use the right-click pop-up menu within the test pane to run tests. Click All Checked Tests... to run all tests that are selected or click Selected Branch Only... to run tests in a selected branch.

  • Alternatively, you may click [image] on the toolbar to run all the checked tests. This icon is active for all tabs. Click [image] on the toolbar to run tests in a selected branch. This icon is active for the Select Tests tab only.

  • Under the Connect tab, click the Run Tests button to run the selected tests. By default, this button is grayed out. It is highlighted when you select either the I have completed these instructions check box or the Suppress all connection prompts check box.

  • Under the Run Tests tab, click the [image] button to run the selected tests. You may configure the settings under the Run Tests tab to run the tests either Once, N (multiple but limited) Times or Forever.

· For more information on the options available under the Run Tests tab, see:

  • To select the Store Mode

  • To run multiple times

  • To send email on pauses or stops

  • To pause or stop on events

  • To specify the event

  2. If there are existing results for selected tests, you receive a prompt to choose the way you want to change the existing results before you continue. By default, Append New Trials is selected.

  • To retain the existing test results to compare with the new results of the selected tests, select Append New Trials.

  • To remove the existing test results, select Replace ALL Existing Trials so that only the new results of the selected tests are displayed.

  • A Status window appears and displays the progress of the tests while they are running.

  • Click Stop to abort the tests from running any further. If you choose to abort the tests, click OK on the following prompt and the Results tab is displayed.

  3. If you do not select the [image] check-box under the Connect tab and only click the [image] button in the Run Tests tab, you may view the Change Physical Connection/Setup dialog similar to the one shown below.

  • You may click Cancel if you wish to abort running of the tests or click Ignore if you do not find a need to change the physical setup. Click the [image] button if you wish to view the Oscilloscope GUI.

  • If you wish to continue, once you have made the physical changes to the connection according to the instructions listed on the Change Physical Connection/Setup dialog, select the check-box for [image] and click the [image] button to run tests further.

  4. When all selected tests are complete, click OK on the following prompt. The Results tab is displayed.

See Also

· To set the display preferences

· To set the run preferences

Next

· Viewing Results


To select the Store Mode

Running Tests

To select the Store Mode

· You may select the type of trials that must be stored, especially when running multiple tests.

  1. Click the Run Tests tab.

  2. In the Store Mode section, select one of the drop-down options for trials.

  • By default, Worst is selected. Irrespective of the selection, the results of up to 25 trials are stored.

· Best — Stores the results of the best N trials.

· Event — Stores the results of N trials when a specific event is detected. See To specify the event.

· Last — Stores the results of the last N trials.

· Worst — Stores the results of the worst N trials.

  • If you change the type of trials in the Store Mode section, all existing test results will be deleted.

  • The selection in the Store Mode affects the trial display options in the Report tab. See To set trial display preferences.


To run multiple times

Running Tests

To run multiple times

· You may select whether to run your tests once, more than once or forever.

  1. Click the Run Tests tab.

  2. In the Run Until section, select one of the drop-down options for Run tests.

  • By default, Once is selected.

  • Forever — Tests are run repeatedly until you click the Stop button.

  • N Times — Tests are run "N" number of times. You must specify the number of runs by assigning a positive whole number for N. You may choose to have pauses between each run.

  • Once — Tests are run only once.

Note

When you choose to run the test plans N times, you may use the trial display options in the Report tab of the Preferences dialog box to specify how many trials are displayed in the test report. See To set trial display preferences.


To send email on pauses or stops

Running Tests

To send email on pauses or stops

· You may configure the test application to send a notification email whenever a test run pauses or ends.

  1. Click the Run Tests tab.

  2. In the Run Until section, click the Send email check box. The [image] button appears.

  3. Click the [image] button. The Configure Email dialog appears.

  4. In the Configure Email dialog box, enter the To: and From: email addresses and the host name of the SMTP Server:.

  5. Click OK.

  • Pauses occur between runs when you run your test plans for a specific number of times (see To run multiple times) or when the test run pauses on occurrence of an event (see To pause or stop on events).


To pause or stop on events

Running Tests

To pause or stop on events

· You may set up test runs to pause or stop at the end of each test upon occurrence of a preselected type of event.

  1. Click the Run Tests tab.

  2. In the Run Until section, click the On event check box. A drop-down selection field appears.

  3. Select one of the options.

  • Pause — The test run pauses when the selected type event occurs.

  • Stop — The test run stops when the selected type of event occurs.

  4. In the Event section, select the type of event. See To specify the event.

  • You may set the pauses or stops between runs to automatically send notification emails (see To send email on pauses or stops).


To specify the event

Running Tests

To specify the event

· You may select the type of event when you select Event for the type of trials in the Store Mode section and also after you choose to pause or stop the test runs upon occurrence of that event.

· See To select the Store Mode on how to select the type of trial and To pause or stop on events on how to enable the Event section.

  1. Click the Run Tests tab.

  2. In the Event section, click the drop-down selection field and choose one of the following options:

· Fail — Causes occurrence of an event when a prerequisite test or selected test fails.

· Margin < N — Causes occurrence of an event when a test generates a margin, which is less than the specified value of N (number of runs). When you select this option, you must enter the minimum required margin percentage.

· ~Pass — Causes occurrence of an event when a selected test passes.

    • The tilde (~) character in the Event selection drop-down indicates such types of events that are unavailable. If you select such type of an event, a dialog box prompts the reason for the unavailability of that type. For example, the condition for you to be able to select Pass as the event type is that you must set the type of trials under the Store Mode as either Best, Event or Last. As such, the event type Pass is prefixed with ~ because the type of trials under Store Mode is Worst.


To set the display preferences

Running Tests

To set the display preferences

· You may choose to display or disable the information, warning and error dialogs and modify other display preferences while tests are running.

  1. From the FlexRay Compliance Test Application's main menu, click View>Preferences....

  • Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, click the Display tab.

  3. Under the Display tab, you may deselect the check box to disable the display to either one or all types of the following dialogs:

    • Information dialogs

    • Warning dialogs

    • Error dialogs

Note

Display messages where you must select either OK/Cancel or Yes/No, are always enabled.

  4. You may also enable/disable the following display options:

  • Invert scope display— displays a white background when the application captures screen shots. By default, this option is disabled. Note that there is no inversion of the scope display if the oscilloscope's ColorGrade is enabled.

  • Keep application on top— keeps the application's main dialog box on top of the Infiniium application. By default, this option is enabled. Irrespective of whether this option is enabled or not, the mid-run dialog boxes are always displayed on top.

  • Log events— displays the log of all events that occur during the test runs. By default, this option is disabled. You must enable this option only when you are directed by the Keysight support organization.

  • Show tooltips— enables appearance of tooltips as you hover the mouse pointer over various controls in the application. By default, this option is enabled.

  5. Click Apply to save changes and click OK to close the Preferences dialog box.


To set the run preferences

Running Tests

To set the run preferences

· Other than enabling/disabling the display of Information, Warning and Error messages that may occur during test runs (see To set the display preferences), you may modify other preferences that affect the tests runs.

  1. From the FlexRay Compliance Test Application's main menu, click View>Preferences....

  • Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, click the Run tab.

  3. In the Prompts section, select/deselect the following options. By default, these options are enabled:

  • Beep when user prompted — enables beeps from the oscilloscope whenever there is a prompt for user inputs.

  • Beep only during run — restricts the beeps to occur during test runs only.

  4. In the Test Abort Action section, select one of the following conditions that must be met if a test aborts:

  • Continue the run — enables continuity in the running of tests until all tests are run, even if one or more tests abort. Note that you may view the problem descriptions related to the aborts after the test run ends.

  • Stop the run and report the problem immediately — stops the running of tests as soon as a test aborts and the application generates a problem report immediately. Note that the settings of the Test Abort Action section do not affect the Stop button.

  5. In the Misc section, select/deselect the Display Results tab at the end of run. By default, these options are enabled, wherein the application automatically displays the Results tab either after the test runs are complete or after you manually abort the test runs.

  6. Click Apply to save the changes and click OK to close the Preferences dialog box.


Viewing Results

Using the Physical Layer Conformance Test Application

Viewing Results

  1. Click [image] in the toolbar or click the Results tab.

  • The Results tab contains three resizeable panes to display information for test results. If you select one of the tests in the top pane, details and reference images (if any) are displayed in the lower panes.

  • The summary of the selected test trial is displayed in the bottom left pane. This pane also displays the Worst Trial (depending on your settings in the Store Mode of the Run Tests tab).

  • The bottom right pane may have several tabs, depending on the selected Report Preferences. If you select more than one trial, the first tab will be the Summary tab, which displays the summary of all the test trials. The application displays a maximum of 25 trials at one time.

  • If you select worst first in the trial display option, the Worst Trial is the next tab after the Summary tab, followed by other trials in the order of trial performance.

  • The reference images for the selected trials appear in the bottom right pane. See To show reference images and flash mask hits for more details on reference images.

Tip

A quick way to reset all configuration options and delete all test results is to create a new project. The new project has the default configuration options.

Note

If a test has a non-range limit of 0, that is, value < 0, the test application provides a nominal value. The nominal value produces a non-infinite margin and is used to declare the 100% margin point. You can view the assigned nominal value on the description pane.

See Also

· To delete trials from the results

· To show reference images and flash mask hits

· To change margin thresholds

· To change the test display order

· To set the Trial Display preferences

Next

· Viewing/Exporting/Printing the Report


To show reference images and flash mask hits

Viewing Results

To show reference images and flash mask hits

  1. In the Results tab, click in the Reference Images pane.

  • This opens the reference image dialog.

  2. In the reference image dialog, you can:

  • Click the flash red pixels button [image] to highlight the points of failure.

  • Click the zoom in [image] or zoom out [image] buttons to resize the dialog.

  3. Click the close button [image] to close the reference image dialog.


To change margin thresholds

Viewing Results

To change margin thresholds

  1. From the FlexRay Compliance Test Application's main menu, click View>Preferences....

  • Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, select the Report tab.

  3. In the Margin Reporting section, you can:

  • Enable or disable margin highlighting.

  • Change the percent of margin at which to give warnings or critical failures.

  4. Click Apply to save your changes and OK to close the Preference dialog box.


To set the Trial Display preferences

Viewing Results

To set the Trial Display preferences

  1. From the FlexRay Compliance Test Application's main menu, click View>Preferences....

  • Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, click the Report tab.

  3. In the Trial Display section, select the number of worst trials whose details you want the application to display.

  4. Select the radio button for Order trial details: to arrange the display order of the trial details either chronologically or the worst trial first followed by the rest of the trials. By default, Worst first is selected.

  5. Select the check-box for Show images for up to 25 worst trial(s) if you want the application to display images of the signal on the scope that were captured during running of such trials. By default, this box is selected.

  6. Click Apply to save your changes and click OK to close the Preferences dialog box.

Note

These settings only affect the viewing of results and not their capture. Therefore, a change can be made to either before or after running the tests.


Viewing/Exporting/Printing the Report

Using the FlexRay Compliance Test Application

Viewing/Exporting/Printing the Report

  1. To view the HTML test report, click the Html Report tab.

See Also

· To export the report

· To print the report

· To set HTML Report preferences

Next

· Saving Test Projects


To export the report

Viewing/Exporting/Printing the Report

To export the report

  1. From the FlexRay Compliance Test Application's main menu, click File>Export Results.

  2. To export the HTML test report, click either CSV or HTML.

To export results in CSV (comma-separated value) format

  1. Select CSV to export the results as a comma-separated list of values.

  2. In the Export CSV Results dialog, type a name for the CSV file and click Save.

  • You may view the CSV file. The data format is shown in the first line of the exported *.csv file.

To export the report in HTML format

· You may export the test reports in HTML format using Single-File or Multi-File mode.

Single-File

  1. Click File>Export Results>HTML>Single-File.

  2. Click OK on the following prompt.

  3. On the Save Webpage dialog, select Web Archive, single file (*.mht) to save a single-file report, in the Save as type: drop-down.

Note

Single-file reports do not contain hyperlinks in the summary table, due to the .mht format limitation. If you require these hyperlinks, use the multi-file format.

Multi-File

  1. For large reports, where you may prefer using links within the report, select the File>Export Results>HTML>Multi-File option. Selecting the multi-file option exports the results as a set of separate image and HTML files.

  2. Click the [image] button. Select a folder in the Browse For Folder dialog to save the report.

  3. Click OK.

  • The application creates a folder with the specified name that may be copied to any computer. To view the exported report, open the HTML file stored in the folder.


To print the report

Viewing/Exporting/Printing the Report

To print the report

  1. To preview the HTML test report printout, click [image] or choose File>Print Preview... from the FlexRay Compliance Test Application's main menu.

  2. To print the HTML test report, click [image] or choose File>Print... from the FlexRay Compliance Test Application's main menu.


To set HTML Report Preferences

Viewing/Exporting/Printing the Report

To set HTML Report Preferences

  1. From the FlexRay Compliance Test Application's main menu, click View>Preferences....

  • Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, select the Report tab.

  3. In the Jump Actions section, you can:

  • Select the check-box for Select Tests tab double click jumps to result to enable double-click on the tests under the Select Tests tab, which would display the corresponding results under the Results tab. By default, this setting is disabled.

  • Select the check-box for HTML Report tab display jumps to selected result to enable clicking on main HTML report, which will cause the report to scroll down to the location of the test result that is currently selected on the Results tab. If no tests are selected under the Results tab, the HTML report stays on top. By default, this setting is disabled. Regardless of this setting, if you double-click a row on the Results tab, the application automatically displays the HTML Report tab and scrolls down to the corresponding result.

  4. Click Apply to save the changes and click OK to close the Preferences dialog box.


Saving Test Projects

Using the FlexRay Compliance Test Application

Saving Test Projects

· To save test settings and results to the current project directory:

  1. Choose File>Save Project from the FlexRay Compliance Test Application's main menu.

· To save test settings and results to a new project directory:

  1. Choose File>Save Project As... from the FlexRay Compliance Test Application's main menu.

  2. The Save Project As dialog displays. Type a name to save the project and either manually type the location on the local disk where you want to save the project file or click Browse.

  3. In the Browse for Folder dialog, select the appropriate folder location.

  • Project files are saved in a directory whose name is the device name.

  4. Click OK.

See Also

· To set AutoRecovery preferences

Next

· Controlling the Application via a Remote PC


To set AutoRecovery preferences

Saving Test Projects

To set AutoRecovery preferences

  1. From the FlexRay Compliance Test Application's main menu, choose View>Preferences....

  • Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, select the Save/Load tab.

  3. In the Auto Recovery section, select one of the following options:

  • To auto-save results after each trial or permutation even if the entire multi-trial is not complete. This option enables full recovery.

  • To auto-save results only upon the completion of the entire multi-trial.

  4. Click Apply to save changes and click OK to close the Preferences dialog box.


Controlling the Application via a Remote PC

Using the FlexRay Compliance Test Application

Controlling the Application via a Remote PC

· The FlexRay Compliance Test Application's Preference dialog contains a Remote tab, which allows you to enable the remote interface and configure the remote options.

· You can control the FlexRay Compliance Test Application from a remote PC. While the remote interface has ready-to-run executable features available, you may also create custom programs using the .NET 2.0 programming language or the National Instruments' LabVIEW 8.5 graphical programming environment.

· With the remote interface, you can:

  • Launch and close the applications

  • Configure options

  • Run tests

  • Obtain results

  • Control display options & preferences

  • Save and load projects

· For more information on the remote interface, see the N5452A Remote Interface for Infiniium Compliance Applications on the Keysight web site.

See Also

· To identify the remote interface version

· To enable the remote interface

· To enable remote interface hints

Next

· Using a Second Monitor


To identify the remote interface version

Controlling the Application via a Remote PC

To identify the remote interface version

  1. From the FlexRay Compliance Test Application's main menu, click Help>About....

  • The remote interface version is mentioned as highlighted in the image below.


To enable the remote interface

Controlling the Application via a Remote PC

To enable the remote interface

  1. From the FlexRay Compliance Test Application's main menu, click View>Preferences....

  • Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog, select the Remote tab.

  3. Select the Enable remote interface option if you require access to the application remotely.

  4. If you perform the tests with the application's user interface and want to ensure that there is no interference from other remote users, deselect the Enable remote interface option to disable remote interface.

  5. Click Apply to save the changes and click OK to close the Preferences dialog.


To enable remote interface hints

Controlling the Application via a Remote PC

To enable remote interface hints

  1. From the FlexRay Compliance Test Application's main menu, click View>Preferences....

  • Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog, select the Remote tab.

  3. In the Remote Options section, select the Show remote interface hints in language: check box.

· When you select this option:

  • Select the remote programming language described in the tips.

  • Tooltips related to the remote interface commands appear when you click the toolbar.

  • Various controls in the tabs will have a context menu item added as "Remote interface hint...".

  • The Select Tests and Configure tabs will display a remote hint in their description panes at the bottom of the screen, when an item is selected.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


Differential Input Signal Requirements and Troubleshooting Tips

Using the FlexRay Compliance Test Application

Differential Input Signal Requirements and Troubleshooting Tips

Some of the Differential Input Signal Requirements are described below:

  1. If the differential input signal under test (uBus) is less than 500 mVp-p or greater than 8 Vp-p, none of the selected tests will run. The application reports, "Volts peak to peak too low/high, failed to find trigger!".

  2. The FlexRay Compliance Test Application does not test to check that the polarities of differential probe's connections are correct.

  3. If you select to run any tests with the probe connected incorrectly, the Oscilloscope will not be able to trigger on the specified Frame ID, and the application reports "frame not found" for most tests.

  4. Before running any tests, ensure that your probe is connected correctly by following the instructions given in the Connect tab of the FlexRay Compliance Test Application. Refer to Connecting the Oscilloscope to the DUT.

  5. If the differential input signal is less than 800 mVp-p, the application does not run the Eye-diagram Mask tests, but reports "Signal level limitation for Eye Diagram Test Group… expected measured Vpp to be >0.8 Vpp".

  6. If the highest amplitude frame is more than approximately 30% higher than the lowest amplitude frame, select the "Manual" vertical scaling mode in the Configure tab. Refer to the instructions in Configuring Tests to manually select the appropriate V/div setting and trigger level.

  7. If the differential input signal Vmax is less than 300 mV, or if Vmin is greater than -300 mV, the Transition Time Tests (Rise Time and Fall Time) when testing at a receiver input test plane will not run because the measurement threshold levels for these measurements are +/- 300 mV.

  8. If you specify a static frame ID (see Setting Up the Test Environment) that does not exist in your synchronous FlexRay system, the Oscilloscope is unable to trigger on the specified frame ID, most selected tests will not run, and the application reports "frame not found".

  9. If you specify a dynamic frame ID in the static frame ID entry box (see Setting Up the Test Environment), some tests such as Transition Time tests and Isolated "1" and Isolated "0" tests, will not run unless the specified dynamic frame ID occurs during all 64 cycles. If the dynamic frame ID does not occur in all 64 cycles, the application reports, "frame not found". All other tests will run as long as the specified dynamic frame ID occurs at least once per 64 cycles.

  10. If you specify an incorrect baud rate (see Setting Up the Test Environment), the application runs the Eye-diagram test (all frames), but will provide erroneous measurement results. In addition, all other tests do not run and the application reports "frame not found".

  11. If the differential signal-to-noise ratio (relative to peak-to-peak signal and peak-to-peak noise) does not exceed 3.0, the selected tests may run, but the measurement results may be incorrect due to erroneous signal crossings through measurement threshold levels and trigger levels.


Using a Second Monitor

Insert Example here

Using a Second Monitor

· You may use a second monitor to display the FlexRay Compliance Test Application, allowing you to view the Oscilloscope while using the application.

· If required, connect the second monitor to the video port labeled Second Monitor on the rear panel of the Oscilloscope.

· Do not connect the second monitor to the port labeled VGA.

Note

The VGA output only displays the screen of the Oscilloscope on the external monitor.

· Before starting the FlexRay Compliance Test Application, ensure that the second monitor is configured properly:

See Also

· FlexRay Compliance Test Application—At a Glance


Automating the Application

Using the FlexRay Compliance Test Application

Automating the Application

· The Automation tab enables you to construct scripts of commands that drive the functionality of the application.

  1. Select one of the modes: Script or Files. By default, Script is selected.

Script Mode

· In the Script mode, the application runs commands entered in the script text box.

· To construct a script of commands, do one of the following:

  1. Type in commands (one per line) in the script text box.

  2. Use the command generator by clicking the [image] button.

  3. Click the [image] button to save the generated command set. The Save As dialog displays.

  4. Type a file name and click Save to save the customized command set.

Tip

In either case of constructing a script, you may save the script to a text/arsl file to easily switch on to the Files automation mode.

Using the command generator in Automation

· You may create either single commands or entire sample scripts (that demonstrate how commands work together) using the command generator.

· Select either Single Command or Entire Script.

· Single Command— In this mode,

  1. Select the tab that corresponds to the application tab or menu containing the controls you require to modify.

  2. Select the radio button for the action you desire to perform. The Use command(s) area displays the automation command that performs the desired action.

· Most commands have placeholder parameters along with the instructions on how to modify/customize them.

· Entire Script— In this mode,

  1. Select a script that describes a task that provides you relevant & adequate information.

  2. In either of the modes, you may click Copy to Clipboard button to copy the command and paste it within the script or click Append to Script to add the command towards the end of the script. You may optionally include instructions as comments that guide you in customizing the commands.

Note

The command lines that start with a pound (#) symbol in the script under the Automation tab do not function during test runs.

Files Mode

· In the Files mode, the application runs commands that are found in files, as shown in the list. This list of files is constructed and managed using the buttons on the left.

  1. Click [image] button to access the Open dialog.

  2. Select the required ARSL/text file that you want to run and click Open.

· Repeat steps 1 and 2 to select more such files.

Execution

  1. Click the [image] button to begin running the commands in the Script or Files mode. The first test starts running and the button changes to Stop.

  2. Before the first test runs, you may click the Stop button to abort the test run. Once the run begins, the Running Test dialog box appears and you may use the Stop button on this dialog box.

Settings Status

· Some commands result into visible changes to the application's tabs, such as selecting a test. Other commands modify settings that may not be visible, such as "SuppressMessages".

  1. To view the current value of the invisible properties, click the [image] button to access the Automation Settings dialog.

Command Line

  1. To experiment with a command to check its functionality, type the command in the Try a command field and press the <Enter> key to check. If the output has a visible effect, such as selecting a test, go to the corresponding tab to check its behavior.


Restricted Rights Legend

Keysight FlexRay Compliance Test Application Online Help

Restricted Rights Legend

If software is for use in the performance of a U.S. Government prime contract or subcontract, Software is delivered and licensed as "Commercial computer software" as defined in DFAR 252.227-7014 (June 1995), or as a "commercial item" as defined in FAR 2.101(a) or as "Restricted computer software" as defined in FAR 52.227-19 (June 1987) or any equivalent agency regulation or contract clause. Use, duplication or disclosure of Software is subject to Keysight Technologies' standard commercial license terms, and non-DOD Departments and Agencies of the U.S. Government will receive no greater than Restricted Rights as defined in FAR 52.227-19(c)(1-2) (June 1987). U.S. Government users will receive no greater than Limited Rights as defined in FAR 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.


Safety Notices

Keysight FlexRay Compliance Test Application Online Help

Safety Notices

[Caution]

A CAUTION notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in damage to the product or loss of important data. Do not proceed beyond a CAUTION notice until the indicated conditions are fully understood and met.

[Warning]

A WARNING notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in personal injury or death. Do not proceed beyond a WARNING notice until the indicated conditions are fully understood and met.


Technology License

Keysight FlexRay Compliance Test Application Online Help

Technology License

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.


Trademarks

Keysight FlexRay Compliance Test Application Online Help

Trademarks

Adobe®, Acrobat®, and the Acrobat Logo® are trademarks of Adobe Systems Incorporated.


Warranty

Keysight FlexRay Compliance Test Application Online Help

Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Keysight disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Keysight shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Keysight and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.


To change the test display order

Viewing Results

To change the test display order

  1. From the FlexRay Compliance Test Application's main menu, click View>Preferences....

  • Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, click the Report tab.

  3. In the Test Display section, select the radio button to arrange tests chronologically or you may use the same ordering as in the Select Tests tab. By default, Chronologically is selected.

  4. Click OK to save your changes and close the Preferences dialog box.

Note

These settings only affect the viewing of results and not their capture. Therefore, a change can be made to either before or after running the tests.


To delete trials from the results

Viewing Results

To delete trials from the results

· Under the Results tab, do one of the following:

  1. Click [image] on the toolbar, if you want to delete an entire test result and the related trials.

  • Click Yes on the following prompt to delete the selected test result and its associated trials.

  2. Select the test result you want to delete and press the Delete key on the keyboard. Click Yes to delete the selected test result and its associated trials (the prompt is same as the one shown above).

  3. Right-click at a test result (in the upper pane) and click Delete One Trial... to select and delete a single trial that is associated with the test result.

  • You may also right-click inside the display area of the trial tab (in the lower pane) to delete a specific trial. Click Delete This Trial... to complete this action.

  • You may select and delete one trial if you have a summary of trials (in the lower pane). This action is the same as selecting Delete One Trial... in the upper pane.

  4. When you click Delete One Trial... (either in the upper or the lower pane), the application prompts you to select a specific trial to delete in the Select Trial to Delete dialog.

  5. Select the check-box against the particular trial when you wish to delete a single trial:

  • If other tests have results that were generated during the same trial run as the trial you are deleting, the application asks you if you wish to delete these results at the same time.

Note

The number of trials and the results may not match. The application displays those results that were generated during the same run. You may choose to delete those trials as well.

  6. When you click OK after selecting the trials to delete, a confirmation dialog appears.

  • The remaining trials are renumbered in the descending order to fill in the gap left by the deleted trial. Click OK on the following prompt.

  7. If you delete the last remaining trial of a test, the entire test results are removed. You may use the Delete Selected Test... option in the upper pane to delete all results for a selected test.

  8. Click Yes if you wish to delete the selected test and all its trials.

  • The test result and all its associated trials are deleted.

Note

There are two situations where you are not allowed to delete a trial:

Case 1 — The trial you attempt to delete is the last remaining extreme trial but not the last remaining trial. In the FlexRay Compliance Test Application, the maximum number of trials displayed is 25. For example:

  1. Let us assume N is 25 (the maximum number of trials displayed).

  2. You have more than N trials of a test.

  3. You may delete up to N-1 trials, where all these tests are displayed in the individual result tabs. You will not be able to delete the last remaining test displayed in the individual result tab or other non-displayed tests. However, you may delete the entire test.

Case 2 — The trial you attempt to delete is associated with a trial defined in Case 1.


Understanding the Report

Insert Example here

Understanding the Report

· The information in this topic will help you understand the different sections of the FlexRay HTML Report.

· The top section of the FlexRay HTML Report contains the report header.

· The figure that follows shows an example of a report header. It has information about the Oscilloscope used to perform the test: the version of the Oscilloscope's application, the model number and the serial number of the Oscilloscope as well as the date and time the test was performed.

· Information entered and selections made in the Set Up tab are also displayed in this box. If any of this information was not entered, it will not be displayed here.

Summary of Results

· The Summary of Results section gives an overview for each of the tests that were run.

· The Pass column indicates wether the tests passed or failed.

· The Actual Value column shows the actual case value across all of the trials.

· The Margin column shows the percentage of pass or fail and its criticality, depending on the criteria set for the Margin Thresholds (under the Preferences dialog box).

Report Detail

· The next section of the report shows the statistics for each of the selected measurements.